<?php
/**
 * app/plugins/portfolio/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Portfolio
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Portfolio extends Plugin {
    public $pluginName = 'TP Portfolio';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds management for a portfolio.';
    public $configName = 'portfolio';
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable the portfolio Feature.',
            'default' => true,
        ],
    ];
    public $main_links = [
        [
            'text' => 'Portfolio',
            'url' => '{ROOT_URL}portfolio/index',
        ],
    ];
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-support"></i> Portfolio',
            'url' => '{ROOT_URL}admin/portfolio',
        ],
    ];
}
