<?php
/**
 * app/plugins/resume/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Resume
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Resume extends Plugin {
    public $pluginName = 'TP Resume';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds management for a resume.';
    public $configName = 'resume';
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable the resume Feature.',
            'default' => true,
        ],
    ];
    public $main_links = [
        [
            'text' => 'Resume',
            'url' => '{ROOT_URL}resume/index',
        ],
    ];
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-support"></i> Resume',
            'url' => '{ROOT_URL}admin/resume',
        ],
    ];
}
