<!DOCTYPE html>
<html lang="en">
    <!--
     * app/templates/admin/admin.tpl
     *
     * @version 3.0
     * @author  Joey Kimsey <Joey@thetempusproject.com>
     * @link    https://TheTempusProject.com
     * @license https://opensource.org/licenses/MIT [MIT LICENSE]
    -->
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>{TITLE}</title>
        <meta name="description" content="{PAGE_DESCRIPTION}">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        {AUTHOR}
        {ROBOT}
        <link rel="icon" href="{ROOT_URL}images/favicon.ico">
        <!-- Required CSS -->
        <link rel="stylesheet" href="{FONT_AWESOME_URL}font-awesome.min.css" crossorigin="anonymous">
        <link rel="stylesheet" href="{BOOTSTRAP_CDN}css/bootstrap-theme.min.css" crossorigin="anonymous">
        <link rel="stylesheet" href="{BOOTSTRAP_CDN}css/bootstrap.min.css" crossorigin="anonymous">
        <!-- Custom styles for this template -->
        {TEMPLATE_CSS_INCLUDES}
    </head>
    <body>
        <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <a href="{ROOT_URL}" class="navbar-brand">{SITENAME}</a>
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <!-- Top Menu Items -->
            <div class="container-fluid">
                <div class="collapse navbar-collapse navbar-ex1-collapse">
                    {topNavLeft}
                    <div class="navbar-right">
                        <ul class="nav navbar-nav">
                            {topNavRight}
                        </ul>
                    </div>
                </div>
            </div>
            {ADMIN}
                {ADMINNAV}
            {/ADMIN}
        </nav>
        <div class="container-fluid">
            {ISSUES}
            <div class="row">
            <div class="container">
                <div class="col-xlg-11 col-xlg-offset-1 col-lg-10 col-lg-offset-2 col-med-offset-2 col-md-10 col-sm-offset-3 col-sm-9 col-xs-offset-3 col-xs-9 row">
                    {ERROR}
                    {NOTICE}
                    {SUCCESS}
                </div>
            </div>
            </div>
            {/ISSUES}
            <div class="row">
                <div class="col-xlg-11 col-xlg-offset-1 col-lg-10 col-lg-offset-2 col-med-offset-2 col-md-10 col-sm-offset-3 col-sm-9 col-xs-offset-3 col-xs-9 main">
                    {ADMIN_BREADCRUMBS}
                    {CONTENT}
                </div>
            </div>
        </div>
        <footer>
            <div class="sticky-foot">
                <div class="sticky-foot-head" id=""></div>
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center sticky-copy">
                    <p class="text-muted">Powered by <a href="https://thetempusproject.com">The Tempus Project</a>.</p>
                </div>
            </div>
        </footer>
        <!-- Bootstrap core JavaScript and jquery -->
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="{JQUERY_CDN}jquery.min.js"></script>
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="{BOOTSTRAP_CDN}js/bootstrap.min.js"></script>
        <!-- Custom javascript for this template -->
        {TEMPLATE_JS_INCLUDES}
    </body>
</html>