Joey Kimsey  
[joeyk4816@gmail.com](mailto:joeyk4816@gmail.com) 

Summary

Self-taught application engineer with over 8 years of professional experience building and debugging high traffic web applications and another decade of hands-on experience implementing solutions for smaller private entities. As a member of the team I specialize in understanding complex systems and implementations in order to deliver on intelligent solutions that integrate with existing technology. Able to identify weak points in systems, optimize, or design and implement new solutions. I've worked in application design and development, oversight and QA, even direct customer service. Whether building an app from concept to deployment, or maintaining extensive networks of load-balancers and servers, I'm able to adapt and deliver.

Highlights

* Confidential security clearance with the U.S. Federal Government (Expired/Renewable)

* Extensive knowledge of database interfaces, web server systems, and infrastructure including UNIX, and MacOS

* Experience working with high traffic systems and handling PII

* Extensive operational experience with Heroku, AWS, and dedicated/shared hosting

* Over 20 years of accumulated talent and professional experience in application development

* Proven track record of learning new technologies as well as adapting  to new workflows and systems

Professional Experience

**Black Airplane**		*March 2021 – July 2024*

*Senior Developer*

* Government Contractor for the CDC under Northrop Grumman/Peraton  
* Security clearance issued at the confidential level  
* Developed custom solutions for content publishing across 18+ .gov sites.  
* Heavily centered around the WordPress platform  
* Planned, developed and delivered several chat-GPT/Laravel based internal tools and applications for Black Airplane that integrated with other services such as Zoom, Git, Harvest, AWS and Mux Video.  
* Developed several stand-alone customer projects to varying specifications utilizing laravel 9-12


**eMeals**		*Feb 2020 – Jan 2021*

*Senior Developer*

* Developed for several internal tools utilizing nodeJS, PHP, Rails 4, Lambda, and Python  
* Responsible for managing the entire infrastructure on AWS including Lambda, CloudFormation, RDS, EC2 with ELB/ALB, Route53, S3, ElastiCache, and CloudSearch  
* Created integration services for linking internal and external API’s and enabling inter-application communication  
* Implemented better coding standards and error detection with CloudWatch Logging, Alarms, and implementing GitFlow  
* Worked with a small team to ensure quality and appearance are maintained from Responsive web to android and iOS apps

**SpringBot**	*Dec 2017 – Feb 2020*

*Operations Engineer*

* Developed and refactored code for high volume web services that integrated with online shopping platforms including Shopify, BigCommerce, WooCommerce, and Magento  
* Investigated and resolved bug reports and improved server latency and response times  
* Developed, oversaw, and deployed multiple applications in several languages  
* Responsible for providing fast and accurate information for any urgent issues or day to day operation of an extensive network of web applications across AWS, Heroku, and others  
* Worked with multiple teams to define requirements and design custom solutions in a continuous Integration cycle  
* Automated processes that saved over 45 hours of engineer time per week

**IgnitionOne**	*Oct 2016 – Dec 2017*

*PHP Developer*

* Built and refactored code for high volume web services that integrated with existing client infrastructure including Nissan, Ford, Blizzard EU, and many other major brands  
* Implemented and utilized API services for secure data transfer including PII  
* Responsible for developing, implementing, and testing user interfaces from concept to deployment  
* Peer reviewed revisions and tested code as part of quality assurance standards  
* Wrote documentation for development procedures and audited existing code  
* Worked with teams to refine requirements and implement custom solutions for large enterprise clients  
* Implemented many popular 3rd party services including Facebook Audiences, Adobe analytics, Google Analytics, other industry standard services and remarketing tags

Skills

**Operations**: OpsGenie, SumoLogic, Bugsnag, SendGrid, NewRelic, circleCI, Jenkins

**Frameworks:** Wordpress, Magento, WooCommerce, BootStrap, TailWind, some Symphony

**Languages:** PHP 5+, CSS/LESS/SASS, JavaScript/CoffeeScript, jQuery/AJAX, Python 2+, GO, Rails 4+, some nodeJS 6, 12

**Databases:** REDIS, MSSQL, MySQL, Postgres, Mongo, Metabase

**Version Control:** Git, SVN

**Workflows and Tools:** Agile/SCRUM, Atlassian products (Jira, Confluence, HipChat), Zoho, Slack

